
Foreman - Bug #25130

Expose host.operatingsystem_name in SafeMode

10/05/2018 11:37 AM - Martin Bacovsky

Status: Rejected   

Priority: Normal   

Assignee: Martin Bacovsky   

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6113

  

Description

For registered hosts report template we need to expose operationgsystem_name in host

Related issues:

Related to Foreman - Feature #24027: Provide some macros for OS name/family a... New 06/21/2018

History

#1 - 10/05/2018 11:56 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6113 added

#2 - 10/05/2018 11:57 AM - Marek Hulán

this could be useful also outside of report templates, I'd say this could go to generic scope, you can take inspiration from 

https://github.com/ares/foreman/commit/5f413e658fe4591a6935fe760ad13b01da160fd3 also there's existing ticket 

https://projects.theforeman.org/issues/24027

#3 - 10/05/2018 11:58 AM - Marek Hulán

- Related to Feature #24027: Provide some macros for OS name/family and version comparsion added

#4 - 10/09/2018 03:07 PM - Martin Bacovsky

- Status changed from Ready For Testing to Rejected

host.operatingsystem_name is the same as host.operatingsystem.to_s. Closing this request.
